Endpoint Groups
Teams
Teams operations within the Products API group.
Create product teamPOST
/product-domains/{domainName}/teams
Operation ID
createProductTeamPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
domainName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
201 |
The request has succeeded and a new resource has been created as a result. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Get product teamGET
/product-domains/{domainName}/teams/{teamName}
Operation ID
getProductTeamPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
domainName |
string |
true |
- |
teamName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Update product teamPATCH
/product-domains/{domainName}/teams/{teamName}
Operation ID
updateProductTeamPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
domainName |
string |
true |
- |
teamName |
string |
true |
- |
Request Body
- Required:
true - Content types:
application/json
Responses
| Code | Description |
|---|---|
200 |
The request has succeeded. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |
Delete product teamDELETE
/product-domains/{domainName}/teams/{teamName}
Operation ID
deleteProductTeamPath Parameters
| Name | Type | Required | Description |
|---|---|---|---|
domainName |
string |
true |
- |
teamName |
string |
true |
- |
Responses
| Code | Description |
|---|---|
204 |
There is no content to send for this request, but the headers may be useful. |
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
429 |
Client error |
500 |
Server error |